#!/bin/sh -e

cp makefile.mid ./Makefile

for patch in *.patch
do
  patch -p1 < "$patch"
done

sed -i                                     \
    -e "/^CFLAGS/s/=/= $CFLAGS -static/"   \
    -e "/^LDFLAGS/s/=/= $LDFLAGS -static/" \
    config.mk

# Prevent the following binaries from building
for nobin in hostname
do
  sed -i s/hostname// Makefile
done

make
make DESTDIR="$1" PREFIX=/usr install
